precision mediump float;
uniform mat4 u_MVPMatrix;
uniform float u_vexZ;
attribute vec2 a_vexPosition;
attribute vec2 a_texCoord;
varying vec2 v_texCoord;

void main() {
    vec4 vexPos = vec4(a_vexPosition.xy, u_vexZ, 1.0);
    gl_Position = u_MVPMatrix * vexPos;
    v_texCoord = a_texCoord;
}